Subject: Re: [yam] Shutting down YAM --was "Status: draft-ietf-yam-rfc4409bis-00"

From: Alessandro Vesely <[email-masked]>
Date: Mon, 01 Aug 2011 14:25:42 +0200

Hi SM,

On 31/Jul/11 05:35, S Moonesamy wrote:
> At 01:49 AM 7/30/2011, Alessandro Vesely wrote:
>> The WG and the IESG already approved that document, so it can go
>> to the RFC editor directly, AFAICS.
> 
> The YAM WG approved the document for IESG processing.  The IESG 
> processed the document and provided feedback to the YAM WG.  The
> IESG did not approve the publication of the document as a RFC. 
> Amending the document for publication is not a trivial effort.  It
> will have to go through IESG Evaluation.

They said the changes proposed to RFC 5321 "seem suitable for Full
Standard".  As they noted on the telechat, there was no intent to
publish the document at the time.  Nevertheless, I read in the
writeup[1] that the IESG approved it as an Informational RFC.

> The WG Chairs cannot change the destiny of the document or violate the
> working group charter.  The Responsible Area Director, the WG co-chair
> and the editors of the document will ask me to get a clue if I suggest
> publishing the document.

The WG charter was violated when we decided to froze, and is being
violated now with premature shut down.  Something went wrong,
obviously, but there is still some good work that has been carried
out.  I think we all hope that John will reopen RFC 5321 and produce
its successor.  However, we have no clue about when that may happen.
Until then, RFC 5321 with its known defects and conflicting errata
remains the official Draft Standard, or, in case two-maturity-levels
passes, Full Standard.  Can we afford this, considering the current
dreadful status of email?  I'd be glad to know the opinions of other
yam participants on this subject.

By publishing an Informational RFC that cleanly states what changes
are to be considered good, and marking RFC 5321 as updated by it, the
IETF can enable consumers of its standards to learn the current state
of affairs and draw their own conclusions about any specific change.

We can skip any superfluous embellishment and just hand the document
over to the RFC editor.  What non-trivial amendments do you deem
necessary for publication?

[1]
http://datatracker.ietf.org/doc/draft-ietf-yam-5321bis-smtp-pre-evaluation/writeup/

---

From: Barry Leiba <[email-masked]>
Date: Mon, 1 Aug 2011 14:32:32 -0400

> writeup[1] that the IESG approved it as an Informational RFC.

The IESG did not approve it; what you're reading is boilerplate that's
put into the datatracker automatically.  What you have to consider
instead are the following points:

1. Alexey put it on the telechat (2010-05-20) with the following note,
which remains in the tracker:

<< There is no intent to publish this document. Please review my email
messages on "IETF evaluation of
draft-ietf-yam-5321bis-smtp-pre-evaluation-05.txt" management item. >>

2. The IESG never discussed the document in the "documents" portion of
the telechat. It was discussed as a management item, and no approval
for publication of the document in any form, with any target status,
was ever in any telechat minutes.

3. There remains a DISCUSS position on the document, put there by
Alexey, with the same text as the note above.

4. There are only two ballot positions on the document: a pro-forma
"yes" from Jari (almost certainly put there because it helped them
around a limitation of the tools), and Alexey's discuss.  To move to
approval for publication, the IESG would have to clear Alexey's
discuss position and have at least nine other ADs record "yes" or "no
objection" positions.

In other words, it's not just a matter of sending it to the RFC
editor.  It would require getting real approval from the IESG for
publication, which they were told a year and a half ago was NOT what
we were asking for.  I'd be very surprised if that were to happen
without objection (that is, without several other discuss ballots).

It is not worth doing that, and it's likely that it wouldn't go
through if we tried.  The right thing to do is to make the appropriate
changes in a proper 5321bis document, and advance 5321 to full
standard in the normal manner.

Barry (co-editor of 5321bis-smtp-pre-evaluation)

---

From: Barry Leiba <[email-masked]>
Date: Mon, 1 Aug 2011 14:42:23 -0400

> discuss position and have at least nine other ADs record "yes" or "no

Sorry; I need to correct myself.  For Informational status, we would
only need to clear the DISCUSS ballot, and have it on a telechat with
no other DISCUSS ballots tendered.  We only need ten ballot positions
recorded for standards track or BCP.

Nevertheless, the point's still there: if we tried to publish this as
is, we'd probably get more DISCUSS positions recorded from the current
IESG.

Barry

---

From: Alessandro Vesely <[email-masked]>
Date: Tue, 02 Aug 2011 13:12:01 +0200

On 01/Aug/11 20:32, Barry Leiba wrote:
>> I read in the writeup that the IESG approved it as an
>> Informational RFC.
> 
> put into the datatracker automatically.

The variant meaning of boilerplate contents keeps disconcerting me :-)

Thank you for taking the time to evaluate this possibility, anyway.

> through if we tried.

I am unable to estimate the amount of effort required to go through
the approval procedure again, and compare it with the effort already
paid thus far.  Only the WG can state worthiness, and considering that
I'm apparently the only one exhorting to publish as-is, I guess you
must be right.

> The right thing to do is to make the appropriate changes in a
> proper 5321bis document, and advance 5321 to full standard in the
> normal manner.

+1, I obviously agree!  Unfortunately, this option seems to be out of
reach right now.  Any chance we can pursue it before shutting down?
Would the WG resolve to considerately complete 5321bis and only it?

Let's not waste good work, please...

---

From: Barry Leiba <[email-masked]>
Date: Tue, 2 Aug 2011 09:07:48 -0400

> The variant meaning of boilerplate contents keeps disconcerting me :-)

I understand.  In this case, the message about the document's being
approved for publication as [intended status according to the
datatracker] is stuck into the writeup section automatically so that
the standard announcement is ready for when the document is approved.
The system isn't set up for I-Ds to go through the IESG and NOT get
published.  Alexey's note that was added separately (and put into the
"announcement" message) was meant to explain the situation to the
IESG, and the whole message was never meant to be sent out to the
community -- though, of course, we can go look and see it.

Confusing, yes.

> Let's not waste good work, please...

I agree with Alessandro that it's a pity to waste the work that was
done.  And as I said before, I'd really like to see the current
version of SMTP back at full Standard level.  So here's my suggestion:

I have the time to edit a 5321bis document, incorporating the changes
from the pre-eval doc, and I can commit to doing that by the end of
August (I'll actually try for 19 August).  This is dependent upon a
few things:

1. The working group thinks it's reasonable to give it a go, while
we're finishing up 4409bis anyway.

2. The working group agrees to review the document without having to
be subjected to the rack or the comfy chair, and agrees that the ONLY
changes that are in scope are those that are in the pre-eval document,
and new discoveries that are so bad that they absolutely have to be
incorporated (that is, something we really badly messed up and
missed).

3. One of the chairs or someone they delegate is willing to be an
*active* shepherd, fending off out-of-scope discussions and pushing
back on WG and IETF last-call comments as needed.

4. The ADs are willing to back us if we push back hard on any other
change requests/demands that come up during IETF last call.

5. The ADs and the WG are willing to keep the working group open until
the document gets through the IESG.  We should be able to do that by
the end of September, or perhaps mid-October (depending upon telechat
schedules and how last call actually goes).

6. We all agree that if this blows up in our faces, with too many
demands for other changes and the IESG's holding out in support of
them, we will withdraw the document and close the WG without finishing
it.

In other words, I'm willing to put another month or two into it, as
long as we're this far.  If others (and the ADs) are with me, and John
will send me the source code, I'll have at it.

Barry

---

From: John C Klensin <[email-masked]>
Date: Tue, 02 Aug 2011 11:01:45 -0400

--On Tuesday, August 02, 2011 09:07 -0400 Barry Leiba
<[email-masked]> wrote:

>...
> In other words, I'm willing to put another month or two into
> it, as long as we're this far.  If others (and the ADs) are
> with me, and John will send me the source code, I'll have at
> it.

Unfortunately, given other commitments, it could easily take me
a week or two to find the current source and edit out enough
personal comments that it would be suitable for sharing with
others.  

One way or the other:

	--  I recommend trying to sort out the "promises made to
	various IESG members to get them to remove DISCUSSes
	that did not seem to me to meet the IESG's published
	criteria" issue that we discussed briefly during the WG
	meeting.  The revised document would be much less
	different from 5321 and much less prone to errors
	without them.
	
	-- I note that several issues have come up since the
	pre-eval document was approved whose proponents were
	loud enough to suggest "new discoveries that are so bad
	that they absolutely have to be
	incorporated...".  The appeal-prone debate about what
	issues fall into that category could take up more time
	than you anticipate.

Alternate suggestion if we are serious about this: someone who
cares what is in the document does a review of the archive in
the last 15+ months and any other outstanding issues that can be
identified and prepares a list of topics raised that didn't make
the earlier document.  Based on that list, we have a discussion,
possibly even seeing if we can get consensus to update the
pre-eval document with a revised list.

Then, based on how that discussion goes and how well the "... so
bad that..." line can be held, we made a decision about revising
the document.  By then, I might actually have time to do it,
leaving Barry's time free for other work.

Although it hasn't been a source of significant discussion in
YAM, as a start on that list, I note that we discovered in EAI
that the description of the extension model in 5321 does not
explicitly require that:
	
	-- A client MUST NOT assume the availability of an
	extension if the server doesn't announce it.
	
	-- Clients that wish to use an extension that the server
	does not announce MUST either (i) send the message in a
	form that does not require any features of that
	extension or (ii) abandon the SMTP session.
	
	-- If the particular extension provides for a client
	announcement that it is using a particular extension
	(such announcements can take many forms depending on the
	extension), the client MUST NOT send the announcement if
	the server does not announce support for the extension.
	The server MUST NOT assume assume the extension is in
	use unless the client sends the announcement and MUST
	either (i)handle the message according to the rules in
	SMTP without the extension or (ii) reject the message.

I believe that, if it is not possible to agree on the
appropriateness of clarifying that issue, a 5321 revision is
hopeless.

    john

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Tue, 02 Aug 2011 20:14:50 +0300

> version of SMTP back at full Standard level.  So here's my suggestion:

I approve of such approach.  Advancing 5231 to STD shouldn't be a great 
deal for the WG, IMO.  Mykyta

---

From: S Moonesamy <[email-masked]>
Date: Wed, 03 Aug 2011 02:33:18 -0700

>Would the WG resolve to considerately complete 5321bis and only it?

I'll summarize the discussion about shutting the YAM WG.  There was a 
solid consensus on the question of shutting down [1].  J.D. Falk and 
Dave Corcker did not object to it [2] [3].  I read the messages from 
Alessandro Vesely as an objection.

Barry Leiba explained the status of 5321bis-smtp-pre-evaluation.  I 
gather that it is clear that the document cannot be published as a 
RFC as it was discussed by the IESG as a management item.

The question on the table is whether there is an chance for the WG to 
pursue work on 5321bis before it is shut down.  Barry mentioned that 
it's a pity to waste the work that was done and that he would really 
like to see the current version of SMTP back at full Standard level 
[4].  He also volunteered to edit 5321bis document, incorporating the 
changes from the pre-evaluation document.

Does the working group think that it is reasonable to give it a go?

I haven't seen any objection to the changes mentioned in the 
pre-evaluation document.  John Klensin commented [5] on 
the  description of the extension model in 5321.  That is the kind of 
change which Barry described as "new discoveries that are so bad that 
they absolutely have to be incorporated".

I am open to having the work done.  That presumes that the working 
group is agreeable to deferring the question of shutting down.  If 
there is interest in putting two months in this work, the working 
group could do the following:

  (a) Each WG participant posts a list of proposed changes together with the
      rationale for the change.  The WG avoids any discussion of the proposed
      changes at this stage.

  (b) I'll list each proposed change in the issue tracker.  If there are two or
      more changes that are similar, I'll track them as one if people agree.

  (c) Once the WG has a list of issues, it can estimate the time required to
      get the work done and how to deal with the issues.

The above work can be done under the current charter.

Regards,
S. Moonesamy
YAM WG co-chair

1. http://www.ietf.org/proceedings/81/minutes/yam.txt
2. http://www.ietf.org/mail-archive/web/yam/current/msg00706.html
3. http://www.ietf.org/mail-archive/web/yam/current/msg00707.html
4. http://www.ietf.org/mail-archive/web/yam/current/msg00721.html
5. http://www.ietf.org/mail-archive/web/yam/current/msg00722.html

---

From: S Moonesamy <[email-masked]>
Date: Tue, 09 Aug 2011 13:06:52 -0700

Hi Alessandro,

This is an individual comment.  I need the approval of Tony and Pete 
for YAM to work on 5321bis.

John Klensin submitted draft-klensin-rfc5321-numbered-00 in December 
2008.  There is also a pre-evaluation I-D, 
draft-ietf-yam-5321bis-smtp-pre-evaluation-05, that lists the issues 
(see Appendix B).

Could you please read those two I-Ds and post a list of proposed 
changes for 5321bis that are not listed in the pre-evaluation 
document to the YAM mailing list?  If anyone else would like to 
propose changes for 5321bis, please do so.

Please note that I cannot guarantee that 5321bis will be published as a RFC.

Regards,
S. Moonesamy

---

From: Pete Resnick <[email-masked]>
Date: Tue, 9 Aug 2011 15:49:56 -0500

On 8/3/11 4:33 AM, S Moonesamy wrote:
> Dave Corcker did not object to it [2] [3].

First, I want to say that in the room in Quebec, there was a *STRONG* 
feeling that the amount of pain and energy needed to continue work on 
any item other than 4409bis, and 5321bis in particular, *FAR* outweighed 
the benefit of doing the work. Though Dave only +1'ed, he expressed 
rather strong feelings in the room on this topic.

> I read the messages from Alessandro Vesely as an objection.

There is no doubt that Alessandro doesn't want to lose the work already 
done. That does not in and of itself require the WG to continue to 
exist. And as I said, with a sufficient small set of 
editor/reviewers/shepherd, I'm happy to take a document on as an 
individual submission. But I'm going to want to hear from a good deal 
more people than Alessandro, Barry, and Mykyta to convince me that the 
WG should continue to exist for this purpose.

> gather that it is clear that the document cannot be published as a RFC 
> as it was discussed by the IESG as a management item.

It would have to be put on a telechat as a WG document. It could 
conceivably be published after that. But let's not get hung up on the 
process point. I don't think that document was written in a way that was 
intended to be published, and I doubt the IESG would be too thrilled 
with it in its current form.

> pre-evaluation document.  John Klensin commented [5] on the  
> description of the extension model in 5321.  That is the kind of 

Let me re-frame the question for you: Are there a large number of YAM WG 
participants that want to participate in this work? Included in that 
question is: Is there an editor who is willing and able (including the 
ability to import the XML from John) to take on the task? The 
presumption is a strong "No". There should be several strong "Yes"s 
(with explanations of why) to overcome that presumption.

pr

-- 
Pete Resnick<http://www.qualcomm.com/~presnick/>
Qualcomm Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102

---

From: Dave CROCKER <[email-masked]>
Date: Tue, 09 Aug 2011 14:42:54 -0700

On 8/9/2011 1:49 PM, Pete Resnick wrote:
> First, I want to say that in the room in Quebec, there was a *STRONG* feeling
> that the amount of pain and energy needed to continue work on any item other
> than 4409bis, and 5321bis in particular, *FAR* outweighed the benefit of doing
> the work. Though Dave only +1'ed, he expressed rather strong feelings in the
> room on this topic.

Yup.

To clarify:  A narrow effort to document some wg historical effort/discussion is 
a benign task and I'm happy for it to happen, within the wg or not.  I applaud 
efforts by people who want to record things for posterity, on the off chance 
that folks in the future care about learning from the past.

My strong feelings that Pete cited were about any proposal to do serious 
technical (development/refinement) work.

YAM was created to advance some specs, with an explicit requirement that this 
include only a minimum of technical effort.  That effort has been defeated by 
circumstances and we should let it die.

Anything that goes beyond that effort, such as a generic "fixup" effort on specs 
-- a la, DRUMS-ish -- has nothing to do with YAM and needs separate 
justification and chartering.

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

---

From: John C Klensin <[email-masked]>
Date: Tue, 09 Aug 2011 18:51:55 -0400

--On Tuesday, August 09, 2011 15:49 -0500 Pete Resnick
<[email-masked]> wrote:

>> Barry Leiba explained the status of
>> 5321bis-smtp-pre-evaluation.  I  gather that it is clear that
>> the document cannot be published as a RFC  as it was
>> discussed by the IESG as a management item.
> 
> It would have to be put on a telechat as a WG document. It
> could conceivably be published after that. But let's not get
> hung up on the process point. I don't think that document was
> written in a way that was intended to be published, and I
> doubt the IESG would be too thrilled with it in its current
> form.
>...
> First, I want to say that in the room in Quebec, there was a
> *STRONG* feeling that the amount of pain and energy needed to
> continue work on any item other than 4409bis, and 5321bis in
> particular, *FAR* outweighed the benefit of doing the work.
> Though Dave only +1'ed, he expressed rather strong feelings in
> the room on this topic.

Pete, Subramanian,

Let me suggest a possible alternative which is workable
independent of whether we keep the WG going:

-- If the sorts of suggestions that Barry, Alessandro, Mykyta,
and maybe others have made for revision have an traction beyond
those who proposed them, let's find an editor and record keeper
(perhaps Barry if he is so inclined; I think it is actually
better if it isn't me) and revise and update
5321bis-smtp-pre-evaluation.  If the plan is to shut the WG down
(and I'm with the others in the meeting consensus on that
subject), let the designated editor put it out as an individual
draft.

Use that I-D as a living document to consolidate and summarize
discussions and conclusions, to draw errata together, and, where
appropriate, to record suggestions about specific textual
changes to 5321.  Discussions of which suggestions are
appropriate can use the SMTP list or a residual YAM one at your
preference.

The editor and other interested parties agree that
5321bis-smtp-pre-evaluation-bis is an appropriate place only for
editorial and other changes that would be appropriate for an
upgrade from Draft-> Full Standard or, at most, for recycling in
grade at Draft.  Any proposal that contains even small elements
of new features or changes to requirements gets written up in a
separate draft and the authors/ proponents work with you (or
whomever the sitting AD is) to figure out how to get it
processed.  Similarly, those who want to see 5321 revised in
order to provide a comprehensive roadmap for SMTP (I interpret a
few of the suggestions as being along those lines) are free to
generate a new "roadmap" draft and see if they can get traction,
but we don't use 5321bis-smtp-pre-evaluation-bis as a vehicle
for that purpose.

At some point in the future, when the celestial omens align
correctly, we open 5321 and perform the relatively simple job of 
folding in editorial changes that appear to have been agreed
upon, then see if we have consensus to publish with those
changes.

That model would accomplish several things, including...

	-- It would get 5321bis out of the perceived critical
	path for shutting down YAM.  It would also get questions
	about  the future of the standards track out of that
	critical path.
	
	-- It would reduce or eliminate the likelihood of having
	substantive arguments about what 5321bis should say
	(substantively) going on at the same time as we are
	trying to agree on how to say it.  Trying to do the two
	at the same time is one of the reasons the document is a
	mess today.
	
	-- Various ideas that have been proposed for inclusion
	for 5321bis but that would be very controversial (at
	least), and possibly inconsistent with advancing the
	document, have a chance to be put forward separately and
	to mature.
	
	-- It would permit making progress on the outline and
	general content of 5321bis without any risk of
	interfering with, or waiting on, EAI, DKIM, and perhaps
	other efforts that at least vaguely interact with it and
	that draw on many of the same resources.

Is that helpful?

    john

---

From: S Moonesamy <[email-masked]>
Date: Wed, 10 Aug 2011 03:01:31 -0700

Hi John,
>subject), let the designated editor put it out as an individual

Pete commented on shutting down the working group.  I don't see any 
indication to change the plan.

If Barry steps forward to update 5321bis-smtp-pre-evaluation, the 
above may be workable as  long as there is  a substantive number of 
YAM WG participants that want to participate in the work.

>appropriate can use the SMTP list or a residual YAM one at your

I'm with Dave on this; i.e. if it is a narrow effort, it may be worth 
doing.  I am not keen about having a living document as it is an 
invitation for prolonged discussions.

>but we don't use 5321bis-smtp-pre-evaluation-bis as a vehicle

I haven't seen any separate draft since this working group has been 
chartered.  I presume that there isn't any interest in introducing 
new features.

>         that draw on many of the same resources.

Yes.  I'll leave it to the people who want to see the work done to 
see which alternative is suitable.

Regards,
S. Moonesamy

---

From: John C Klensin <[email-masked]>
Date: Wed, 10 Aug 2011 06:59:15 -0400

--On Wednesday, August 10, 2011 03:01 -0700 S Moonesamy
<[email-masked]> wrote:

>> 5321bis-smtp-pre-evaluation-bis is an appropriate place only
>> for editorial and other changes that would be appropriate for
>> an upgrade from Draft-> Full Standard or, at most, for
>> recycling in grade at Draft.  Any proposal that contains even
>> small elements of new features or changes to requirements
>> gets written up in a separate draft and the authors/
>> proponents work with you (or whomever the sitting AD is) to
>> figure out how to get it processed.  Similarly, those who
>> want to see 5321 revised in order to provide a comprehensive
>> roadmap for SMTP (I interpret a few of the suggestions as
>> being along those lines) are free to generate a new "roadmap"
>> draft and see if they can get traction, but we don't use
>> 5321bis-smtp-pre-evaluation-bis as a vehicle for that purpose.
> 
> I haven't seen any separate draft since this working group has
> been chartered.  I presume that there isn't any interest in
> introducing new features.

The "separate draft" approach has been recommended consistently
to those who wanted substantive additions or changes  for a long
time... certainly since the revision that produced 5321 was
started and probably going back into the period of DRUMS and
2821.  I cannot recall anything ever happening -- the advocates
of those changes seem willing to put energy into insisting that
changes to reflect relatively new ideas (and their perceptions
of reality) should be slipped into the base SMTP specs but
unwilling to generate and advocate for drafts that would permit
those changes to be discussed and decided upon separately.

I wasn't predicting that it would happen now either, just trying
to identify the option and the desirability of handling new
proposals that way rather than having them (again) sink a 5321
revision.

   john

---

From: Alessandro Vesely <[email-masked]>
Date: Wed, 10 Aug 2011 18:13:06 +0200

On 10.08.2011 00:51, John C Klensin wrote:
> Let me suggest a possible alternative which is workable independent of
> whether we keep the WG going:
> 
> -- If the sorts of suggestions that Barry, Alessandro, Mykyta, and maybe
> others have made for revision have an traction beyond those who proposed
> them, let's find an editor and record keeper (perhaps Barry if he is so
> inclined; I think it is actually better if it isn't me) and revise and
> update 5321bis-smtp-pre-evaluation.

Agreed.  Considering the difficulties of having a 5321bis according to plan
A, the best option for SMTP seems to be to publish a revised version of
5321bis-smtp-pre-evaluation.

> If the plan is to shut the WG down (and I'm with the others in the meeting
> consensus on that subject), let the designated editor put it out as an
> individual draft.

Perhaps, we could as well do it quickly enough to not delay the WG shutdown
considerably.  I concur with SM that we should avoid prolonged discussions,
and a time constraint gives that.  Do we need to recharter to put the
revision as a WG draft?

An individual draft for SMTP looks inadequate.

> 5321bis-smtp-pre-evaluation-bis is an appropriate place only for editorial
> and other changes that would be appropriate for an upgrade from Draft->
> Full Standard or, at most, for recycling in grade at Draft.  Any proposal
> that contains even small elements of new features or changes to
> requirements gets written up in a separate draft and the authors/
> proponents work with you (or whomever the sitting AD is) to figure out how
> to get it processed.  Similarly, those who want to see 5321 revised in 
> order to provide a comprehensive roadmap for SMTP (I interpret a few of
> the suggestions as being along those lines) are free to generate a new
> "roadmap" draft and see if they can get traction, but we don't use

Now, what kind of RFC will the revised pre-evaluation become?  I'd guess a
Proposed Standard that updates RFC 5321.  Suggested textual changes contained
therein may be clarifying and illuminating, but they will still be less
"mature" than RFC 5321 itself.  Hence, variations on the interpretation of
SMTP, if there are any, could be conveyed through the same document, for the
sake of simplicity and compactness.

I've been looking for proposed changes not mentioned in the pre-evaluation
doc, but cannot tell anything worth being mentioned, now that SM has added
#24.  Thus, I'm missing the "comprehensive roadmap for SMTP", as well as the
"new discoveries that are so bad that they absolutely have to be
incorporated".  It has been repeatedly said that this list is the right place
to raise any such issue, therefore they ought to be here.  I'd suggest that
the new doc includes an informative section where they are explicitly
mentioned, if the relevant proponents post admissible text in the limited
time frame that remains.  Admittance to such section would require consensus
that an issue is worth being /contemplated/ for 5321bis, which is different
from being ready for Full Standard as the presently-numbered issues are.

For clarity, let me add that I don't oppose to separate drafts for proposals
that deserve one.  The additional section I propose is meant to actually
grant a chance to any half-baked issue that wouldn't be put forward
otherwise, so as to take a correct position fix for SMTP.

> At some point in the future, when the celestial omens align correctly, we
> open 5321 and perform the relatively simple job of folding in editorial
> changes that appear to have been agreed upon, then see if we have
> consensus to publish with those changes.

Oh well, judging by the relative simpleness thus surveyed, I'd reckon that
point in the future must still be quite far :-)

> 	document, have a chance to be put forward separately and

This strategic accomplishment alone can justify plan B, IMHO.

---

From: S Moonesamy <[email-masked]>
Date: Wed, 10 Aug 2011 23:44:52 -0700

Hi Alessandro,
>and a time constraint gives that.  Do we need to recharter to put the

Pete, who happens to be the Responsible Area Director, for this 
working group commented on the discussion about shutting down.  The 
working group has been given ample opportunity to overcome the inevitable.

A recharter is off the table (see minutes from IETF81).

>otherwise, so as to take a correct position fix for SMTP.

See http://www.ietf.org/mail-archive/web/yam/current/msg00731.html

Regards,
S. Moonesamy

---

From: Alessandro Vesely <[email-masked]>
Date: Thu, 11 Aug 2011 14:23:58 +0200

On 11.08.2011 08:44, S Moonesamy wrote:
> Pete, who happens to be the Responsible Area Director, for this working group
> commented on the discussion about shutting down.  The working group has been
> given ample opportunity to overcome the inevitable.

You mean http://www.ietf.org/mail-archive/web/yam/current/msg00727.html?

Importing XML for 5321bis has been tried already.  Does Pete mean the XML of
the pre-evaluation doc?  There are some tracker issues to be added, change
the title and the category, ...  This XML is publicly available, so anyone
can carry out any change.  If I were at my office rather than using this
handicapped mini-pc, I'd try it myself.

There seems to be about a dozen of us who are still loitering around this
dying WG.  Is it enough to get a rough consensus?

> A recharter is off the table (see minutes from IETF81).

Right.

> See http://www.ietf.org/mail-archive/web/yam/current/msg00731.html

Yes, I saw it.  But I'm still missing what are the actual changes and who are
their advocates.  I happened to argue with John on a kind of change that may
match the description he writes.  That story consists of a few mail messages
and an SMTP extension draft that I submitted following his advice, which
expired unnoticed as he had anticipated.  However, I don't think John would
include this story among the "substantive additions or changes" he addresses,
as it cannot hinder 5321bis in any way any more.

I think that if we (most noticeably, John) proclaim that we will mention any
"relatively new ideas" in the new doc --in a section that is not part of the
SMTP spec, but that will be contemplated on next revision-- we will /not/ get
an overwhelming tide of submissions.  Instead, we will have kept our word
about this list's purpose, and we will know what we are talking about when we
reopen RFC 5321.  Hey, the new stuff can even go under a title of "ideas
already proposed and rejected for SMTP", so that, at least, we won't have
more proponents of the same ideas again and again.

jm2c

---

From: S Moonesamy <[email-masked]>
Date: Thu, 11 Aug 2011 08:07:36 -0700

Hi Alessandro,
>You mean http://www.ietf.org/mail-archive/web/yam/current/msg00727.html?

The decision was taken to the mailing list (see 
http://www.ietf.org/mail-archive/web/yam/current/msg00697.html 
).  The mailing list (in)activity during the current year speaks for itself.

>the pre-evaluation doc?  There are some tracker issues to be added, change

I leave it to Pete to comment if he thinks that it is necessary.

>dying WG.  Is it enough to get a rough consensus?

Please see the last paragraph of the message from Pete at 
http://www.ietf.org/mail-archive/web/yam/current/msg00727.html  I'll 
be candid; a dozen "Yes" might not be read as rough consensus.  There 
would have to be a large number of YAM WG participants who explain 
why the work should be done.

Regards,
S. Moonesamy

---

From: Sabahattin Gucukoglu <[email-masked]>
Date: Wed, 17 Aug 2011 02:17:59 +0100

On 3 Aug 2011, at 10:33, S Moonesamy wrote:
> I'll summarize the discussion about shutting the YAM WG.  There was a solid consensus on the question of shutting down [1].  J.D. Falk and Dave Corcker did not object to it [2] [3].  I read the messages from Alessandro Vesely as an objection.

I've just skimmed this discussion.  So far it does not seem to me really worthwhile worrying about whether YAM is shut down or not, since 5321BIS is nowhere near any kind of reviewable condition (and I *need* a reviewable document, one which I don't have to edit for, so someone would have to be behind it sufficiently to edit for me to bother).  The pre-evaluation stuff is purely advisory and is basically just a load of errata.  That's not enough of a reason to keep YAM alive, now.  Whether documents separately updating 5321 or a single document implying future work on 5321 is used is irrelevant because we can't get good input without it.  And anyway, I'm against the rush implied by finishing before the closure of YAM.  I have a dim suspicion that's part of why there were some minor but notable problems with 5321 in the first place.  (And I find it ironic that such a "Simple" protocol really isn't.)

> The question on the table is whether there is an chance for the WG to pursue work on 5321bis before it is shut down.  Barry mentioned that it's a pity to waste the work that was done and that he would really like to see the current version of SMTP back at full Standard level [4].  He also volunteered to edit 5321bis document, incorporating the changes from the pre-evaluation document.

Well, splendid!  But can we get on and shut down YAM first? :-)

> I haven't seen any objection to the changes mentioned in the pre-evaluation document.  John Klensin commented [5] on the  description of the extension model in 5321.  That is the kind of change which Barry described as "new discoveries that are so bad that they absolutely have to be incorporated".
> 
> I am open to having the work done.  That presumes that the working group is agreeable to deferring the question of shutting down.  If there is interest in putting two months in this work, the working group could do the following:

I don't like the time pressure and the implied limit on possible "Productivity" that could result.  I want this document to be a full standard.  I want this document thoroughly vetted.  I want any major concerns addressed.  I *do not* want this document tainted by lots of new and dangerous ideas unless the proposals come from people willing to put them into other documents.  If YAM has no identifiable purpose until more work is done, let it die.  We can't recharter.  We need a discussion forum for any proposals.  We know RFC 5321 is "Good enough" (TM) so we already have a strong reason to keep the work fairly focussed and minimal.  The current pre-evaluation is a very good starting point.

> The above work can be done under the current charter.

Or we can just kill YAM and leave its mailing list open, and get back to you when we have a list of stuff that absolutely must go into 5321BIS, having discussed it thoroughly in the course of discovery, or with what we already have in the pre-evaluation doc.  This has the added benefit of making the editorial work easier.  If the problem is energy, there's no further discussion.  The motivated people (and as I've said, something to look at is my real need) will happily bring the finished proposal to the table, as usual.

Just my two-penneth.

Cheers,
Sabahattin